package models

const TableNameWkSpiderNews = "wk_spider_news" //PG数据库新闻文章数据表(爬虫原始数据)

const (
	WK_SPIDER_NEWS_COLUMN_ID           = "id"
	WK_SPIDER_NEWS_COLUMN_TAG          = "tag"
	WK_SPIDER_NEWS_COLUMN_CATEGORY     = "category"
	WK_SPIDER_NEWS_COLUMN_MAIN_TITLE   = "main_title"
	WK_SPIDER_NEWS_COLUMN_SUB_TITLE    = "sub_title"
	WK_SPIDER_NEWS_COLUMN_SUMMARY      = "summary"
	WK_SPIDER_NEWS_COLUMN_KEYWORDS     = "keywords"
	WK_SPIDER_NEWS_COLUMN_SEO_KEYWORDS = "seo_keywords"
	WK_SPIDER_NEWS_COLUMN_URL          = "url"
	WK_SPIDER_NEWS_COLUMN_IMAGE_URL    = "image_url"
	WK_SPIDER_NEWS_COLUMN_CONTENT      = "content"
	WK_SPIDER_NEWS_COLUMN_IS_HOTSPOT   = "is_hotspot"
	WK_SPIDER_NEWS_COLUMN_CREATED_TIME = "created_time"
)

type WkSpiderNewsDO struct {
	Id          int64  `json:"id" db:"id" bson:"_id"`                                               //自增ID
	Tag         string `json:"tag" db:"tag" bson:"tag"`                                             //文章标签
	Category    string `json:"category" db:"category" bson:"category"`                              //分类
	MainTitle   string `json:"main_title" db:"main_title" bson:"main_title"`                        //主标题
	SubTitle    string `json:"sub_title" db:"sub_title" bson:"sub_title"`                           //副标题
	Summary     string `json:"summary" db:"summary" sqlca:"isnull" bson:"summary"`                  //摘要
	Keywords    string `json:"keywords" db:"keywords" sqlca:"isnull" bson:"keywords"`               //文章关键词
	SeoKeywords string `json:"seo_keywords" db:"seo_keywords" sqlca:"isnull" bson:"seo_keywords"`   //SEO关键词
	Url         string `json:"url" db:"url" sqlca:"isnull" bson:"url"`                              //文章链接
	ImageUrl    string `json:"image_url" db:"image_url" sqlca:"isnull" bson:"image_url"`            //图片URL
	Content     string `json:"content" db:"content" sqlca:"isnull" bson:"content"`                  //文章内容
	IsHotspot   bool   `json:"is_hotspot" db:"is_hotspot" bson:"is_hotspot"`                        //是否订阅推送(0=否 1=是)
	CreatedTime string `json:"created_time" db:"created_time" sqlca:"readonly" bson:"created_time"` //数据创建时间
}

func (do *WkSpiderNewsDO) GetId() int64            { return do.Id }
func (do *WkSpiderNewsDO) SetId(v int64)           { do.Id = v }
func (do *WkSpiderNewsDO) GetTag() string          { return do.Tag }
func (do *WkSpiderNewsDO) SetTag(v string)         { do.Tag = v }
func (do *WkSpiderNewsDO) GetCategory() string     { return do.Category }
func (do *WkSpiderNewsDO) SetCategory(v string)    { do.Category = v }
func (do *WkSpiderNewsDO) GetMainTitle() string    { return do.MainTitle }
func (do *WkSpiderNewsDO) SetMainTitle(v string)   { do.MainTitle = v }
func (do *WkSpiderNewsDO) GetSubTitle() string     { return do.SubTitle }
func (do *WkSpiderNewsDO) SetSubTitle(v string)    { do.SubTitle = v }
func (do *WkSpiderNewsDO) GetSummary() string      { return do.Summary }
func (do *WkSpiderNewsDO) SetSummary(v string)     { do.Summary = v }
func (do *WkSpiderNewsDO) GetKeywords() string     { return do.Keywords }
func (do *WkSpiderNewsDO) SetKeywords(v string)    { do.Keywords = v }
func (do *WkSpiderNewsDO) GetSeoKeywords() string  { return do.SeoKeywords }
func (do *WkSpiderNewsDO) SetSeoKeywords(v string) { do.SeoKeywords = v }
func (do *WkSpiderNewsDO) GetUrl() string          { return do.Url }
func (do *WkSpiderNewsDO) SetUrl(v string)         { do.Url = v }
func (do *WkSpiderNewsDO) GetImageUrl() string     { return do.ImageUrl }
func (do *WkSpiderNewsDO) SetImageUrl(v string)    { do.ImageUrl = v }
func (do *WkSpiderNewsDO) GetContent() string      { return do.Content }
func (do *WkSpiderNewsDO) SetContent(v string)     { do.Content = v }
func (do *WkSpiderNewsDO) GetIsHotspot() bool      { return do.IsHotspot }
func (do *WkSpiderNewsDO) SetIsHotspot(v bool)     { do.IsHotspot = v }
func (do *WkSpiderNewsDO) GetCreatedTime() string  { return do.CreatedTime }
func (do *WkSpiderNewsDO) SetCreatedTime(v string) { do.CreatedTime = v }
